#pragma once
#include "Window.h"
#include <os/LocalServer.h>

struct Client
{
    os::LocalServer::Client conn;
    Vector<Window*> windows;
    const bool privileged { false };
    bool rpc_in_progress { false };
    u8 rpc_id { 0 };

    Client(os::LocalServer::Client&& client, bool priv)
#ifdef CLIENT_IMPLEMENTATION
        : conn(move(client)), windows(), privileged(priv) {}
#else
        ;
#endif
};
